#ifndef _ASM_SEGMENT_H
#define _ASM_SEGMENT_H
#include <linux/config.h>

#ifdef CONFIG_MKI
/* this number increases if more entries than 
 * this are added after 0x18 in head.S */
#define ENTRIES_AFTER_KERNEL_DS 8
#define ENTRIES_BEFORE_KERNEL_CS 2
#define __GDT_SLOTS_RESERVED   512     /* Reserve a page full. */
#else
#define __GDT_SLOTS_RESERVED   0
#endif

#define __BOOT_KERNEL_CS	0x10
#define __BOOT_KERNEL_DS	0x18

#define __KERNEL_CS	(__GDT_SLOTS_RESERVED*8) + 0x10
#define __KERNEL_DS	(__GDT_SLOTS_RESERVED*8) + 0x18

#define __USER_CS	0x23
#define __USER_DS	0x2B

#endif
