/*
 *  linux/include/linux/hfsplus_fs_i.h
 *
 * Copyright (C) 1999
 * Brad Boyer (flar@pants.nu)
 *
 */

#ifndef _LINUX_HFSPLUS_FS_I_H
#define _LINUX_HFSPLUS_FS_I_H

#include <linux/types.h>

/* Typedef to match hfsplus_extent_rec without including hfsplus_raw.h */
typedef struct {
	unsigned char sblk[4];
	unsigned char bcnt[4];
} hfsplus_alloc_list[8];

struct hfsplus_inode_info {
	/* Allocation extents from catlog record or volume header */
	hfsplus_alloc_list   extents;
	/* Device number in hfsplus_permissions in catalog */
	__u32                dev;
};

#endif
