/*
 *  linux/include/linux/hfsplus_fs_sb.h
 *
 * Copyright (C) 1999
 * Brad Boyer (flar@pants.nu)
 *
 */

#ifndef _LINUX_HFSPLUS_FS_SB_H
#define _LINUX_HFSPLUS_FS_SB_H

#include <asm/types.h>

/*
 * HFS+ superblock info (built from Volume Header on disk)
 */

struct hfsplus_vh;
struct hfsplus_btree;

struct hfsplus_sb_info {
	struct buffer_head   *s_vhbh;
	struct hfsplus_vh    *s_vhdr;
	struct hfsplus_btree *ext_tree;
	struct hfsplus_btree *cat_tree;

	/* Runtime variables */
	__u32                 dbpab; /* Device blocks per allocation block */
	__u32                 dboff; /* Offset to actual HFS+ blocks */

	/* Stuff in host order from Vol Header */
	__u32                 free_blocks;
	__u32                 next_cnid;
	__u32                 file_count;
	__u32                 folder_count;

	/* Config options */
	__u32                 creator;
	__u32                 type;

	int                   charcase;
	int                   fork;
	int                   namemap;

	umode_t               umask;
	uid_t                 uid;
	gid_t                 gid;
};

#endif
